/**
 * @author Song Ji-Hoon.
 *
 * Copyright by Softmagic. All rights reserved.
 */
var zoomRatio = 2;
var borderThickness   = 8;
var borderEdgeWidth   = 8;
var borderEdgeHeight  = 8;

var stepForScroll         = 20;
var stepForSkip           = 122;         
var stepForDetailView     = 4;

var menuFrameLoaded  = false;

var detailViewStatus = false;
var detailRightPage  = true;

var backgroundImg = "s.gif";	
var backgroundImgFile;

var defaultLogoImg = "logo.jpg";
var defaultLogoUrl = "http://www.softmagic.com";

var defaultMailUrl = "info@softmagic.com";

var soundPage = "sound.htm";

var bookmarkButtonWidth  = 37;
var bookmarkButtonHeight = 30;

function GetImgUrl(arg_page, arg_classify, arg_SliceNum) {
    var currDir         = "";
    var dirDelim        = "/";
    var imgExtName      = ".jpg";
    var webDocExtName   = ".html";

    var sPage;
    var imgUrl;
    
	backgroundImgFile = "./image/" + backgroundImg;

    if ((arg_page > lastPage) || (arg_page < firstPage)) {
        imgUrl = null;
    } else {
        sPage = arg_page;        
        sSliceNum = arg_SliceNum;      

        switch (arg_classify) {
            case 0 : imgUrl = "./images" + dirDelim + sPage + imgExtName;
		             break;
            case 1 : imgUrl = "./images" + dirDelim + sPage + "-"  + sSliceNum + imgExtName;		  
                     break;
            case 2 : imgUrl = "./images" + dirDelim + sPage + imgExtName;		  
                     break;
        }
	}
    return imgUrl;
}

function GetSoftmagicImgUrl() {
	return softmagicImg;
}

var detailGotoPage  = -1;

var bookMarkMaxCount = 10;
var showBookMark = false;

var displayLanguage = "euc-kr";